OnlineWallet/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

from user.views import HomePage

urlpatterns = [
    path('admin/', admin.site.urls),
    path('account/', include('user.urls', namespace='account')),
    path('actions/', include('actions.urls', namespace='actions')),
    path("", HomePage.as_view(), name='home')
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

user/urls.py
from django.urls import path

from user.views import SignUp, VerifyPhoneNumber, LogIn, VerifySMSCode, \
    Profile, LogoutAccount, RepeatLoginVerificationCode, \
    RepeatRegisterVerificationCode

app_name = 'account'
urlpatterns = [
    path('register/', SignUp.as_view(), name='sign_up'),
    path('verify-phone-number', VerifyPhoneNumber.as_view(), name='verify_phone_number'),
    path('login/', LogIn.as_view(), name='login'),
    path("verify-sms-code", VerifySMSCode.as_view(), name='verify_sms_code'),
    path("profile", Profile.as_view(), name="profile"),
    path("logout", LogoutAccount.as_view(), name="logout"),
    path("repeat-login-verification-code/", RepeatLoginVerificationCode.as_view(), name='login_otp'),
    path("repeat-register-verification-code/", RepeatRegisterVerificationCode.as_view(), name='register_otp')
]

templates/baseform.html
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <title>{% block title %} {% endblock %}</title>
  </head>
  <body>
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-8">
          <h1 class="mt-2">{% block title2 %} {% endblock %}</h1>
          <hr class="mt-0 mb-4">
          {% block content %}
          {% endblock %}
        </div>
      </div>
    </div>
  </body>
</html>

templates/home.html
{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
<title>Online Wallet Home Page</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="{% static 'user/css/layout.css'%}" type="text/css">
<script src="{% static 'user/js/html5shiv.js' %}"></script>
</head>
<body>
<div class="wrapper row1">
  <header id="header" class="clear">
    <div id="hgroup">
      <h1><a href="{% url 'home' %}">Online Wallet</a></h1>
      <h2>Open Source Wallet</h2>
    </div>
    <nav>
      <ul>
        <li><a href="#">About Us</a></li>
        <li><a href="{% url 'account:sign_up' %}">Sign Up</a></li>
        <li><a href="{% url 'account:login' %}">Login</a></li>
      </ul>
    </nav>
  </header>
</div>
<!-- content -->
<div class="wrapper row2">
  <div id="container" class="clear">
    <!-- Slider -->
    <section id="slider"><a href="#"><img src="media/images/user/5cd9dda2021b4c40a54536c4" alt=""></a></section>
    <!-- main content -->
    <div id="homepage">
      <!-- Services -->
      <section id="services" class="clear">
        <article class="one_third">
          <figure><img src="media/images/user/181121-good-samaritan-wallet-money-feature.jpg" width="290" height="180" alt="">
            <figcaption>
              <h2>Save Your money with Technology</h2>
              <p>You can put your money in a digital wallet and use this from everywhere</p>
              <footer class="more"><a href="#">Read More &raquo;</a></footer>
            </figcaption>
          </figure>
        </article>
        <article class="one_third">
          <figure><img src="media/images/user/security_cash_83077314.jpg" width="290" height="180" alt="">
            <figcaption>
              <h2>Charge and Withdraw </h2>
              <p>Here, You can increase your credit and save your money and if you need them put them back to your packet.</p>
              <footer class="more"><a href="{% url 'account:sign_up' %}">Sign Up &raquo;</a></footer>
            </figcaption>
          </figure>
        </article>
        <article class="one_third lastbox">
          <figure><img src="media/images/user/money-cash-coins-purse-money-3719.jpg" width="290" height="180" alt="">
            <figcaption>
              <h2>Transfer money to your friend</h2>
              <p>In our service yo can transfer money or give money from your friends</p>
              <footer class="more"><a href="{% url 'account:login' %}">Login &raquo;</a></footer>
            </figcaption>
          </figure>
        </article>
      </section>
      <!-- / Services -->
      <!-- ########################################################################################## -->
      <!-- ########################################################################################## -->
      <!-- ########################################################################################## -->
      <!-- ########################################################################################## -->
      <!-- Introduction -->
      <section id="intro" class="last clear">
        <article>
          <figure><img src="media/images/user/dollars-money-7.jpg" width="450" height="250" alt="">
            <figcaption>
              <h2>Online Wallet</h2>
              <p>I am so excited cause you are checking this service. if you want to check the codes of this project you can check <a href="https://gitlab.com/7learn-py-web/step10/wallet.git">its repository out</a>.</p>
            </figcaption>
          </figure>
        </article>
      </section>
      <!-- / Introduction -->
    </div>
    <!-- / content body -->
  </div>
</div>
</body>
</html>